---
type: api
title: Get a stream
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-streams-name
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-streams-name
products:
  - Kibana
---

# Get a stream

Availability: 9.1+

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/streams/{name}`
- `GET` `/s/{space_id}/api/streams/{name}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

#### Path Parameters

- `name` (string · max: 200)
  The name of the stream.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Fetches a stream definition and associated dashboards<br/><br/>[Required authorization] Route required privileges: read_stream.

## Request Body

`application/json`

Any of:
- **object**
- **object**
- **object**

## Response

Stream definition and associated metadata.

## Code Examples

#### Console

```console
GET /api/streams/{name}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/streams/{name}"
```

## Response Examples

#### Get wired stream

```json
{
  "dashboards": [],
  "data_stream_exists": true,
  "effective_failure_store": {
    "disabled": {},
    "from": "logs"
  },
  "effective_lifecycle": {
    "dsl": {
      "data_retention": "7d"
    },
    "from": "logs"
  },
  "effective_settings": {},
  "inherited_fields": {
    "@timestamp": {
      "from": "logs",
      "type": "date"
    },
    "log.level": {
      "from": "logs",
      "type": "keyword"
    }
  },
  "privileges": {
    "create_snapshot_repository": false,
    "lifecycle": true,
    "manage": true,
    "manage_failure_store": true,
    "monitor": true,
    "read_failure_store": true,
    "simulate": true,
    "text_structure": true,
    "view_index_metadata": true
  },
  "rules": [],
  "stream": {
    "description": "Web server access logs, routed by severity",
    "ingest": {
      "failure_store": {
        "inherit": {}
      },
      "lifecycle": {
        "inherit": {}
      },
      "processing": {
        "steps": [],
        "updated_at": "2025-01-15T10:30:00.000Z"
      },
      "settings": {},
      "wired": {
        "fields": {
          "host.name": {
            "type": "keyword"
          },
          "http.response.status_code": {
            "type": "long"
          },
          "message": {
            "type": "match_only_text"
          }
        },
        "routing": [
          {
            "destination": "logs.nginx.errors",
            "status": "enabled",
            "where": {
              "field": "http.response.status_code",
              "gte": 500
            }
          }
        ]
      }
    },
    "name": "logs.nginx",
    "type": "wired",
    "updated_at": "2025-01-15T10:30:00.000Z"
  }
}
```

